Hello,
Please see attached, how can I clear adaptivity for Sketch7?
This is Inventor pro 2016. I've tried in 2018 and still no success. Any ideas?
Thank you
radu
Solved! Go to Solution.
Solved by Xun.Zhang. Go to Solution.
Solved by johnsonshiue. Go to Solution.
Hi! This is a pain. The two adaptive sketches are kind of trapped in a state where adaptive should not be allowed. As a result, the adaptivity cannot be turned off either. The only way to do that is quite painful.
1) Move EOP to right under Lofted Flange1.
2) Reorder Work Plane1 to the top.
3) Right-click on Sketch7 -> Unshare.
4) Delete the Lofted Flange1 but keep the sketches.
5) Turn off the adaptivity for both sketches.
6) Recreate the Lofted Flange1 and move EOP one step at the time to fix up sick features.
Many thanks!
Hi,
I also try Inventor API to clean the flag, however, the "sick" loft have to deleted first.
If you move EOP above and delete the loft, try below code with "Alt+F11" and just run it.
Sub test() Dim oPartDoc As PartDocument Set oPartDoc = ThisApplication.ActiveDocument Dim oCompDef As PartComponentDefinition Set oCompDef = oPartDoc.ComponentDefinition Dim oSketch As PlanarSketch For Each oSketch In oCompDef.Sketches oSketch.Adaptive = False Next End Sub
Hope it helps!
This code works too especially for several sketches.
Thank you for your help!
radu
Can't find what you're looking for? Ask the community or share your knowledge.